package com.yinet.system.service;

import com.yinet.system.domain.Bjlb;
import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service接口
 *
 * @author yinet
 * @date 2020-04-22
 */
public interface IBjlbService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public Bjlb selectBjlbById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param bjlb 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<Bjlb> selectBjlbList(Bjlb bjlb);

    /**
     * 新增【请填写功能名称】
     *
     * @param bjlb 【请填写功能名称】
     * @return 结果
     */
    public int insertBjlb(Bjlb bjlb);

    /**
     * 修改【请填写功能名称】
     *
     * @param bjlb 【请填写功能名称】
     * @return 结果
     */
    public int updateBjlb(Bjlb bjlb);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBjlbByIds(String ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteBjlbById(Long id);

    /** 查询当月统计数量**/
    public Map<String, Object> selectBjlbVoCountByConditiond(Map<String, Object> map);


}
